
<div class="modal-header">
  <h5 class="modal-title" id="exampleModalLabel"><%= @modal_title.nil? ? "Cause" : @modal_title %></h5>
  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
    <span aria-hidden="true">&times;</span>
  </button>
</div>

<%= simple_form_for @tools_cause, remote: true, html: { novalidate: true } do |f| %>
  <div class="modal-body">
    <% if @tools_cause.errors.any? %>
      <div id="error_explanation">
        <h2><%= pluralize(@tools_cause.errors.count, "error") %> prohibited this cause from being saved:</h2>

        <ul>
        <% @tools_cause.errors.full_messages.each do |message| %>
          <li><%= message %></li>
        <% end %>
        </ul>
      </div>
    <% end %>

    <div class="form-inputs">
      <%= f.hidden_field :rca_id %>
      <%= f.hidden_field :tool_reference %>
      <%#= f.hidden_field :tool_num %>

      <% if @tools_cause.parent_id %>
        <div class="form-group">
          <%= f.label :parent_id, class: 'form-control-label select required' %>
          <% causes, causes_colors = causes_with_colors(@tools_cause.rca, @tools_cause.tool_reference) %>
          <%#= helper_causes_list(causes, 'tools_cause', 'parent_id', @tools_cause.parent_id, causes_colors) %>
          <%= helper_causes_list(causes, 'tools_cause', 'parent_id',
                                 {selected: @tools_cause.parent_id, colors: causes_colors}) %>
        </div>
        <%= f.input :name %>
        <%= f.input :level, collection: Tools::Cause.levels.symbolize_keys.keys %>
        <% if @form_options.nil? || @form_options[:status] == true %>
          <%= f.input :status, collection: Tools::Cause.statuses.symbolize_keys.keys %>
        <% end %>
      <% else %>  <!-- Root cause => only change name -->
        <%= f.hidden_field :parent_id %>
        <%= f.input :name %>
        <%= f.hidden_field :level %>
        <%= f.hidden_field :rca_id %>
      <% end%>

      <%= f.simple_fields_for(:tools_cause_classes) do |tcc_form| %>
        <%= tcc_form.association :labels_cause_type,
                                 collection: tcc_form.object.tools_ishikawa.labels_cause_types,
                                 label: helper_ishikawa_label(tcc_form.object.tools_ishikawa, @ishikawas, @ishikawa_names), class: 'optional' %>
        <%= tcc_form.hidden_field :tools_ishikawa_id %>
        <%= tcc_form.hidden_field :tools_cause_id %>
      <% end %>
    </div>
  </div>

  <div class="modal-footer">
    <div class="form-group">
    <%= f.submit class: "btn btn-warning" %>
    </div>
  </div>
<% end %>
